[{$smarty.block.parent}]

[{* START - SIT POWERSEARCH *}]

[{assign var="basePath" value=$oViewConf->getBaseDir()}]
[{assign var="oViewConf" value=$oView->getViewConfig() }]
[{assign var="currency" value=$oView->getActCurrency() }]

<div class="sitQuicksearchMain sbs">
	<div id="sitQuicksearchResult" class="sitQuicksearchResult"></div>
</div>
<link rel="stylesheet" type="text/css" href="[{$basePath}]SITModuleFramework/modules/SITPowerSearch/css/SITPowerSearch.css">
<link rel="stylesheet" type="text/css" href="[{$basePath}]SITModuleFramework/lib/css/jquery-ui-1.12.1.min.css">

[{oxscript include=$basePath|cat:"SITModuleFramework/modules/SITPowerSearch/javascript/SITPowerSearch.js"}]
[{capture name="sit_powersearch_script"}]
	ps_languageId  = "[{$oViewConf->getActLanguageId()}]";
	ps_currencyId  = "[{$currency->id}]";		
	ps_shopId      = "[{$oViewConf->getActiveShopId()}]";
    ps_rewriteBase = "[{$basePath}]";
			
    $('input[name="searchparam"]').each( function() {
    	$(this).initSearchField();
	});

	[{if $smarty.get.pgNr > 0}]
		ps_currentPageArticles = [{$smarty.get.pgNr}];
	[{/if}]

	[{if $oViewConf->getTopActiveClassName() == "search"}]ps_startEnhancedFullSearch(ps_currentPageArticles, true);[{/if}]
[{/capture}]
[{oxscript add=$smarty.capture.sit_powersearch_script}]


[{capture name="ps_imagescript"}]
	function ps_loadFullSearchArticlesHook() {
		   
		$('#content').find('.img-responsive').each(
			function() {
				$(this).attr('src', $(this).attr('data-src'));
			}
		);
		$('#content').find('.img-fluid').each(
			function() {
				$(this).attr('src', $(this).attr('data-src'));
			}
		);
	}
[{/capture}]
[{oxscript add=$smarty.capture.ps_imagescript}]

[{* END - SIT POWERSEARCH *}]